Package org.silverpeas.components.silvercrawler.model

## Class FileDetail

- java.lang.Object
- - org.silverpeas.components.silvercrawler.model.FileDetail

- All Implemented Interfaces:
    `Serializable`

      public class FileDetail
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileDetail​(String name, String path, String fullPath, long size, boolean isDirectory)` |
    `FileDetail​(String name, String path, String fullPath, long size, boolean isDirectory, boolean isIndexed)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDirectURL()` |
    `String` | `getFileIcon()` |
    `String` | `getFileSize()` |
    `String` | `getFileURL​(String componentId)` |
    `String` | `getName()` |
    `String` | `getPath()` |
    `long` | `getSize()` |
    `boolean` | `isIsDirectory()` |
    `boolean` | `isIsIndexed()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDetail

          public FileDetail​(String name,
                            String path,
                            String fullPath,
                            long size,
                            boolean isDirectory)

    - #### FileDetail

          public FileDetail​(String name,
                            String path,
                            String fullPath,
                            long size,
                            boolean isDirectory,
                            boolean isIndexed)

  - ### Method Detail

    - #### getFileSize

          public String getFileSize()

    - #### getFileIcon

          public String getFileIcon()

    - #### getFileURL

          public String getFileURL​(String componentId)

    - #### isIsDirectory

          public boolean isIsDirectory()

    - #### getName

          public String getName()

    - #### getPath

          public String getPath()

    - #### getSize

          public long getSize()

    - #### isIsIndexed

          public boolean isIsIndexed()

    - #### getDirectURL

          public String getDirectURL()